
TYPO3.Flow - Task # 42319
Updated: 2012-10-25 Due date:
Complexity:
Subject: Make PATTERN_MATCH_PACKAGEKEY more strict (again)
Description

The pattern used to check for a valid package key was made less strict during composer integration. Although composer itself
imposes almost no restrictions, packagist requires a "vendor/name" format. Our pattern should thus at least ensure the key contains a
dot (translated from the slash).

Related issues:
related to TYPO3 Flow Base Distribution - Story # 41031: Composer support for... Resolved 2012-09-17

Associated revisions
Revision 9762f627 - 2012-10-23 17:38 - Karsten Dambekalns

[TASK] Tighten package key check a little

The pattern used to check for a valid package key was made less strict
during composer integration. Although composer itself imposes almost no
restrictions, packagist requires a "vendor/name" format.

This changes thus adjusts the PATTERN_MATCH_PACKAGEKEY constant to
require a dot in the package key.

Change-Id: I483cae772574c90036e73c5caa4744e9b055ed9a
Resolves: #42319
Releases: 1.2

History
#1 - 2012-10-23 17:15 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15910

#2 - 2012-10-23 17:38 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15910
#3 - 2012-10-25 15:36 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9762f6271c1bedbffe7295dfc9281e30a6d029a1.
